ECOGEN
======

**ECOGEN** is a CFD plateform written in C++ object oriented programming langage. It is dedicated to numerical simulation of compressible multiphase flows. It has the vocation to share academics researches in the multiphase flow field in direction to ohter academics but also for industrials, students, etc.

* Official webSite: https://code-mphi.github.io/ECOGEN/
* Official documentation: https://code-mphi.github.io/ECOGEN/docs/sphinx_docs/index.html
* API documentation: https://code-mphi.github.io/ECOGEN/docs/doxygen_docs/index.html

What can I do with ?
--------------------
With **ECOGEN** you can solve:

* Interface problems between pure or multicomponents fluids and mixtures of multiphase flows.
* Flow problems involving surface tension, heat and mass transfers for evaporating and condensing flow, cavitation.
* Wave propagation problems in strongly unsteady situations using a specific Adaptative Mesh Reffinement.
* complex flow problems on unstructured grids.

Visit the gallery for examples: https://code-mphi.github.io/ECOGEN/gallery/

Start with ECOGEN
-----------------
The better way to start with **ECOGEN** is to follow installation instructions on the official documentation webSite: https://code-mphi.github.io/ECOGEN/docs/sphinx_docs/Chap2_installation_Chapter.html

Then you can follow the dedicated tutorial to run your first test: https://code-mphi.github.io/ECOGEN/docs/sphinx_docs/Chap4_1startWithECOGEN.html